Subject: bug#58767: telega makes emacs crash (under an EXWM session?)

From: Eli Zaretskii <[email-masked]>
Date: Tue, 25 Oct 2022 15:50:50 +0300

> Date: Tue, 25 Oct 2022 14:10:12 +0200 (CEST)
> From: [email-masked]
> Cc: Po Lu <[email-masked]>, [email-masked]
> 
> What I do that makes emacs crash is just launch telega. Either via a keybind or m-x. 

So just "M-x telega RET" is enough to cause the crash?

Then what does EXWM have to do with this?  Are you saying that the
crash only happens under EXWM, and no other environment can reproduce
this?

> what is displayed is nothing, since emacs crashes as a whole; in the debugger I already attached a log of
> emacs crashing.

The crash is inside display code, so Emacs is definitely trying to
display something.

> Should i try emacs-29?

It cannot do any harm to try.

But if you are going to build Emacs 29, please build it with -O0,
i.e. without optimizations, and with -g3, so that the debug info is
the most useful it can be.

Thanks.

Because it has some breaking changes for exwm, but i can use another wm and test
> that if it's needed!
> awaiting instructions.
> thanks a million.
> 
> Oct 25, 2022, 1:35 PM by [email-masked]:
> 
>  Cc: [email-masked]
>  Date: Tue, 25 Oct 2022 17:58:06 +0800
>  From: Po Lu via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
>  > greetings.
>  > attached to this mail it's the new log, and the following is that in a pastebin:
>  > https://termbin.com/4o84
>  > hope this helps. Awaiting for further instructions.
>  > thanks a million.
> 
>  AFAIU, several bugs in this area of the bidi code were fixed in Emacs 29
>  (the master branch.)
> 
>  I don't think so.
> 
>  But to investigate, I will need a reproducible recipe, and preferably
>  without telega and EXWM. Specifically, what text is being displayed
>  when this abort happens? It looks like the buffer has some display
>  property, so the information about that display property will also be
>  needed.
> 
>  Bottom line: more details are needed, including some description of
>  what is being done by the user and what is displayed by Emacs at the
>  time of the abort.